<html>
<head>
<title>HFS %folder%</title>
<style>
body, .login, .row, .folder, .label, th, comment { font-family:tahoma, verdana, arial, helvetica, sans; font-weight:normal; }
body { margin:0; background-color:#FFFFCC; padding:10px;}
.label { font-size: 8pt; }
div.body {
  border-bottom: 4px solid #CCCC88;
     border-top: 4px solid #CCCC88;
    border-left: 1px dotted #CCCC88;
   border-right: 1px dotted #CCCC88;
  background:#FFFFF3; padding:15px; margin:15px;
}
.folder { font-size:14pt; font-weight:bold;  }
A { text-decoration:none;  background-color:Transparent; color:#BBBB00; }
A:visited { color:#BBBB55; }
A:hover { background-color:#FFFFAA; }
img { border-style:none }
.right { text-align:right }
.row { font-size:10pt; background:#FFFFFF; border:1px solid #CCCC88 }
.comment { font-size:7pt; color:#888888; background:#EEEEEE; padding:3px; border:1px solid #DDDDDD; margin-top:2px; }
.column { color:#555555; font-size:13pt; font-weight:bold; padding-bottom:0; }
.login { padding:5px; padding-top:7px; border:2px solid black; background:white; font-size:8pt; font-weight:bold; }
</style>
</head>
<body>
%login%
<div class=label>folder</div>
<div class=folder>%folder%</div>
<div class=body>
%up%
%files%
</div>
<div class=label>
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>Servertime: %timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>

[login]
<div style="float:right; padding:15px;"><a href="%folder%~login" class=login><img border=0 align=absbottom src="/~img27"> LOGIN</a></div>

[up]
<a class=folder href="%parent-folder%"><img src="/~img14"> UP</a>

[nofiles]
<div class=folder>No files</div>

[files]
<div class=label>%number-folders% folders,  %number-files% files - Total: %total-size%</div>
<table cellpadding=5>
<th><a href="%folder%?sort=n"><span class=column>Filename</span></a>
<th><a href="%folder%?sort=s"><span class=column>Filesize</span></a>
<th><a href="%folder%?sort=t"><span class=column>Filetime</span></a>
<th class=column>Hits
%list%
</table>

[file]
<tr><td class=row><a href="%item-url%"><img align=top src="/~img_file"> %item-name%</a>%comment%<td class="row right">%item-size%<td class="row right">%item-modified%<td class="row right">%item-dl-count%

[folder]
<tr><td class=row><a href="%item-url%"><img align=top src="/~img_folder"> <b>%item-name%</b></a>%comment%<td align=center class=row><i>folder</i><td class="row right">%item-modified%<td class="row right">%item-dl-count%

[link]
<tr><td class=row><a href="%item-url%"><img align=top src="/~img_link"> <b>%item-name%</b></a>%comment%<td colspan=3 align=center class=row><i>link</i>

[comment]
<div class=comment>%item-comment%</div>

[not found]
<html><head></head><body>
<h1>404 -  Not found</h1>
<a href="/">go to root</a>
<hr>
<div style="font-family:tahoma, verdana, arial, helvetica, sans; font-size:8pt;">
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>%timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>

[overload]
<html><head></head><body>
<h1>Server busy</h1>
Please, retry later.
<hr>
<div style="font-family:tahoma, verdana, arial, helvetica, sans; font-size:8pt;">
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>%timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>

[unauthorized]
<html><head></head><body>
<h1>Unauthorized</h1>
This is a protected resource.
<br>Your username/password don't match.
<hr>
<div style="font-family:tahoma, verdana, arial, helvetica, sans; font-size:8pt;">
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>%timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>

[deny]
<html><head></head><body>
<h1>Unallowed</h1>
This resource is not accessible.
<hr>
<div style="font-family: tahoma, verdana, arial, helvetica, sans; font-size: 8pt;">
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>%timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>

[ban]
<html><head></head><body>
<h1>You are banned.</h1>
%reason%
<hr>
<div style="font-family: tahoma, verdana, arial, helvetica, sans; font-size: 8pt;">
<a href="http://www.rejetto.com/hfs">HttpFileServer %version%</a>
<br>%timestamp%
<br>Uptime: %uptime%
</div>
</body>
</html>
